%global pkgname django-tables2
Name:           python-django-tables2
Version:        0.10.0
Release:        3%{?dist}
Summary:        Table framework for Django

License:        BSD
URL:            https://github.com/bradleyayers/django-tables2
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       Django 

Provides:       django-tables2 = %{pkgname}-%{version}-%{release}

%description
django-tables2 simplifies the task of turning sets of data into HTML tables. 
It has native support for pagination and sorting. It does for HTML tables 
what django.forms does for HTML forms.

%prep
%setup -q -n %{pkgname}-%{version}

# remove included egg
rm -rf django_tables2.egg-info

# remove single hidden .DS_store
%{__rm} django_tables2/static/django_tables2/themes/paleblue/img/.DS_Store 

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT



%files
%doc LICENSE README.rst
%{python_sitelib}/django_tables2
%{python_sitelib}/django_tables2-%{version}-py2.?.egg-info


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 16 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.10.0-1
* Wed Mar 07 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.4-2
- remove included egg-info
- more specific %%files-section

* Sat Mar 03 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.4-1
- initial packaging
